Skip to main content
POST
/
custom-domains
/
{id}
/
verify
Re-check verification
curl --request POST \
  --url https://api.awardee.dev/v1/custom-domains/{id}/verify \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "domain": {
    "object": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "domain": "<string>",
    "verified": true,
    "verified_at": "2023-11-07T05:31:56Z",
    "last_checked_at": "2023-11-07T05:31:56Z",
    "check_error": "<string>",
    "verification_records": [
      {
        "type": "<string>",
        "domain": "<string>",
        "value": "<string>",
        "reason": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z"
  },
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Response

Verification status

object
string
required
Allowed value: "custom_domain_verification"
status
enum<string>
required
Available options:
verified,
pending,
error
domain
object
required
error
string